<?php

namespace App\Controllers\Admin\Equipment;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Helpers\Equipment\IpHelper;
use App\Services\Equipment\IpService;

class IpController extends EquipmentController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): IpService
    {
        if (!$this->_service) {
            $this->_service = new IpService($this->request);
        }
        return $this->_service;
    }
    public function getHelper(): IpHelper
    {
        if (!$this->_helper) {
            $this->_helper = new IpHelper($this->request);
        }
        return $this->_helper;
    }
    //Index,FieldForm관련
    protected function setOrderByForList()
    {
        //OrderBy 처리
        $this->getService()->getModel()->orderBy('INET_ATON(ip)', 'ASC', false);
        parent::setOrderByForList();
    }

    protected function index_process(): array
    {
        $fields = [
            'fields' => ['lineinfo_uid', 'ip', 'status', 'updated_at'],
        ];
        $this->init('index',  $fields);
        return parent::index_process();
    }
}
